## ros-indigo-motoman-sia20d-support 0.3.7

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)

project(motoman_sia20d_support)

find_package(catkin REQUIRED)

catkin_package()

find_package(roslaunch)
roslaunch_add_file_check(test/launch_test.xml)

foreach(dir config launch meshes urdf)
   install(DIRECTORY ${dir}/
      DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/${dir})
endforeach(dir)

=== debian/changelog ===
ros-indigo-motoman-sia20d-support (0.3.7-0trusty) trusty; urgency=high

  * No changes

 --  <shaun.edwards@gmail.com>  Tue, 21 Mar 2017 05:00:00 -0000

ros-indigo-motoman-sia20d-support (0.3.6-0trusty) trusty; urgency=high

  * sia20: add 'base' coordinate frame to xacro. For #45 <https://github.com/ros-industrial/motoman/issues/45>.
    This corresponds to the Motoman 'Robot Frame' (not the 'Base Frame'). This
    frame has its origin at the intersection of the S axis and a horizontal
    plane going through the L axis.
  * Fix for issue #106 <https://github.com/ros-industrial/motoman/issues/106>: use full-precision PI for tool0 transform (#110 <https://github.com/ros-industrial/motoman/issues/110>)
    * sia10f: don't round PI in joint_t-tool0 transform.
    Leads to incorrect 'base->tool0' transform orientations.
    * sia20: don't round PI in joint_t-tool0 transform. Fix #106 <https://github.com/ros-industrial/motoman/issues/106>.
    Leads to incorrect 'base->tool0' transform orientations.
  * Fix for issue #102 <https://github.com/ros-industrial/motoman/issues/102>: fix incorrect joint limits in SIA20 urdf/xacro (#109 <https://github.com/ros-industrial/motoman/issues/109>)
    * sia20d: fix joint limits S, R & T. Fix #102 <https://github.com/ros-industrial/motoman/issues/102>.
    This floors PI, instead of rounding. This makes the joint limits slightly
    stricter than what is specced, but will avoid OOB errors on the controller.
    * sia20d: make all joint limits correspond to specsheet.
    All values truncated after the 4th digit.
  * Contributors: G.A. vd. Hoorn, gavanderhoorn

 --  <shaun.edwards@gmail.com>  Mon, 20 Mar 2017 05:00:00 -0000

ros-indigo-motoman-sia20d-support (0.3.5-0trusty) trusty; urgency=high

  * No changes

 --  <shaun.edwards@gmail.com>  Sun, 03 Jul 2016 05:00:00 -0000

ros-indigo-motoman-sia20d-support (0.3.4-0trusty) trusty; urgency=high

  * support: mark SIAx(d|f) pkgs as deprecated.
    And point users to the 'motoman_sia_support' package, which will be
    introduced in Jade.
  * Contributors: Shaun Edwards, gavanderhoorn, thiagodefreitas

 --  <shaun.edwards@gmail.com>  Sun, 03 Jul 2016 05:00:00 -0000

ros-indigo-motoman-sia20d-support (0.3.3-0trusty) trusty; urgency=high

  * No changes

 --  <shaun.edwards@gmail.com>  Fri, 07 Feb 2014 06:00:00 -0000

ros-indigo-motoman-sia20d-support (0.3.2-0trusty) trusty; urgency=high

  * Added build dependency on roslaunch to address missing roslaunch check missing macro
  * Contributors: Shaun Edwards

 --  <shaun.edwards@gmail.com>  Fri, 31 Jan 2014 06:00:00 -0000

ros-indigo-motoman-sia20d-support (0.3.1-0trusty) trusty; urgency=high

  * Synchronized versions for bloom release
  * Corrected motoman robot name (added motoman prefix)
  * Added tool0 to sia20.  Matches motoman tool0
  * Contributors: Shaun Edwards

 --  <shaun.edwards@gmail.com>  Thu, 30 Jan 2014 06:00:00 -0000

=== debian/control ===
Source: ros-indigo-motoman-sia20d-support
Section: misc
Priority: extra
Maintainer:  <shaun.edwards@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-roslaunch
Homepage: http://ros.org/wiki/motoman_sia20d_support
Standards-Version: 3.9.2

Package: ros-indigo-motoman-sia20d-support
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-joint-state-publisher, ros-indigo-motoman-driver, ros-indigo-robot-state-publisher, ros-indigo-rviz
Description: ROS Industrial support for the Motoman sia20d (and variants).
 This package contains configuration data, 3D models and launch files for Motoman sia20d manipulators. Specifications sia20d - Default Joint limits and maximum joint velocities are based on the information found in the online http://www.motoman.com/datasheets/sia20d.pdf All urdfs are based on the default motion and joint velocity limits, unless noted otherwise. Before using any of the configuration files and / or meshes included in this package, be sure to check they are correct for the particular robot model and configuration you intend to use them with.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-motoman-sia20d-support//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
